package de.zerlegungV2.test;

import static org.junit.Assert.assertEquals;

import java.util.HashMap;
import java.util.Map;

import org.junit.Test;

import de.alamos.fe2.external.ExtractorObject;
import de.alamos.fe2.external.enums.EAlarmDataEntries;
import de.zerlegungV2.ZerlegungV2Example;

public class ZerlegungV2ExampleTest {
	@Test
	public void test() {
		ZerlegungV2Example v2Example = new ZerlegungV2Example();

		Map<String, String> map = new HashMap<>();
		map.put(EAlarmDataEntries.DESTINATION.getKey(), "Musterstrae 4, 12345 Musterhausen");
		map.put(EAlarmDataEntries.KEYWORD.getKey(), "B3/Brand Zimmer/12345");

		ExtractorObject object = v2Example.extractFromMap(map);

		assertEquals("Musterstrae 4 12345 Musterhausen", object.getData().get(EAlarmDataEntries.DESTINATION.getKey()));
		assertEquals("B3", object.getData().get(EAlarmDataEntries.KEYWORD.getKey()));
		assertEquals("Brand Zimmer", object.getData().get(EAlarmDataEntries.KEYWORD_DESCRIPTION.getKey()));
		assertEquals("12345", object.getData().get("keyword_additional_code"));
	}

}